from numb3rs import validate


def main():
    test_non_digits()
    test_negative_numbers()
    test_numbers_too_big()
    test_numbers_too_long()


def test_non_digits():
    assert validate('aaa.bbb.ccc.ddd') == False
    assert validate('cat') == False


def test_negative_numbers():
    assert validate('-11.111.-1.-1') == False


def test_numbers_too_big():
    assert validate('257.200.1.1') == False
    assert validate('200.257.1.1') == False
    assert validate('200.1.257.1') == False
    assert validate('200.1.5.257') == False


def test_numbers_too_long():
    assert validate('200.1.5.2.57') == False


if __name__ == '__main__':
    main()
